Name:           mono-sfml
Version:        2.0.0
Release:        1%{?dist}
Summary:        Simple and Fast Multimedia Library - Official .Net bindings

License:        Public Domain
URL:            http://www.sfml-dev.org/
Source0:        http://www.sfml-dev.org/download/sfml/2.0/SFML.Net-2.0-sources.zip
Patch0:         mono-sfml-2.0.0-add-keypair-snk.patch
Patch1:         mono-sfml-2.0.0-fix-output-and-sign-assemblies.patch
Patch2:         mono-sfml-2.0.0-add-pc-file.patch
Patch3:         mono-sfml-2.0.0-add-dll-configs.patch

BuildRequires:  monodevelop
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libXrandr-devel
BuildRequires:  openal-devel

Requires:       csfml <= 2.0.0

%description
SFML is a portable and easy to use multimedia API written in C++. You can see
it as a modern, object-oriented alternative to SDL.
SFML is composed of several packages to perfectly suit your needs. You can use
SFML as a minimal windowing system to interface with OpenGL, or as a
fully-featured multimedia library for building games or interactive programs.

%package        devel
Summary:        Development files for Mono SFML
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use Mono SFML.

%prep
%setup -q -n SFML.Net-2.0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# make sure it doesn't use pre-compiled libs
rm -r extlibs

%build
cd build/vc2008
mdtool build --configuration:Release\|x86 --project:sfml-window
mdtool build --configuration:Release\|x86 --project:sfml-graphics
mdtool build --configuration:Release\|x86 --project:sfml-audio

%install
gacutil -i lib/x86/SFML.Window.dll -f -package sfml-2.0 -root %{buildroot}/usr/lib
gacutil -i lib/x86/SFML.Graphics.dll -f -package sfml-2.0 -root %{buildroot}/usr/lib
gacutil -i lib/x86/SFML.Audio.dll -f -package sfml-2.0 -root %{buildroot}/usr/lib
# install .pc files
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp build/dotnet-sfml.pc %{buildroot}%{_libdir}/pkgconfig/dotnet-sfml-2.0.pc
# map .dll libraries to .so libraries
cp build/SFML.Window.dll.config %{buildroot}%{_prefix}/lib/mono/gac/SFML.Window/*/
cp build/SFML.Graphics.dll.config %{buildroot}%{_prefix}/lib/mono/gac/SFML.Graphics/*/
cp build/SFML.Audio.dll.config %{buildroot}%{_prefix}/lib/mono/gac/SFML.Audio/*/

%post
ln -s %{_libdir}/pkgconfig/dotnet-sfml-2.0.pc %{_libdir}/pkgconfig/dotnet-sfml.pc

%postun
rm %{_libdir}/pkgconfig/dotnet-sfml.pc

%files
%doc readme.txt license.txt
%{_prefix}/lib/mono/*

%files devel
%{_libdir}/pkgconfig/*

%changelog
* Tue Aug 6 2013 Jonathan De Wachter <sonkun@fedoraproject.org> - 2.0.0-1
- Initial RPM release
